
#language: ru

@MovingProducts

Функционал: 008. MovingProducts. Создание планов отгрузки

Сценарий: 008.1. MovingProducts. Создание плана отгрузки на основании заказа на перемещение для перемещения вручную
	
	Дано Я подключаюсь под "Создание планов отгрузки"
	Дано я устанавливаю текущему сеансу заголовок приложения "14.008. Перемещение товаров"
	Дано я удаляю объекты "Документы.к2ПланОтгрузки" без контроля ссылок
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы на перемещение'
	Тогда открылось окно 'Заказы на перемещение'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                                  |
		| 'Заказ на перемещение для перемещения вручную' |
	И я нажимаю на кнопку 'План отгрузки'
	Тогда открылось окно 'План отгрузки (создание)'
	И элемент формы "Склад" стал равен "Сырная ГП"
	И флаг "Требуется доставка" равен "Да"
	И я перехожу к закладке "Товары"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Ед.' | 'Характеристика'   | 'Серия' | 'В ед. хранения' | 'Вес, кг' | 'Мест, м3' |
		| '10,000'     | 'Сыр Адыгейский' | 'кг'  | '<Без маркировки>' | ''      | '10,000, кг'     | '10'      | '11,23'    |
	И я перехожу к закладке "Дополнительно"
	И в поле 'Комментарий' я ввожу текст 'План отгрузки для перемещения вручную'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'План отгрузки * от *' в течение 20 секунд
	Тогда открылось окно 'Заказы на перемещение'
	И Я закрываю окно 'Заказы на перемещение'
	
Сценарий: 008.2. MovingProducts. Создание планов отгрузки через АРМ Формирование плана отгрузки - для заказов на перемещение

	Когда Я открываю АРМ Формирование плана отгрузки и устанавливаю дату огрузки "12.10.2019"
	Тогда в таблице "ТаблицаРаспоряжений" я перехожу к строке:
		| 'Заказ' | 'Получатель'              | 'В плане' | 'План отгрузки' | 'Зона доставки' | 'Склад отгрузки' |
		| '10'    | 'Склад готовой продукции' | ''        | ''              | ''              | 'Сырная ГП'      |
	И я нажимаю на кнопку 'общее'
	И Я закрываю АРМ Формирование планов отгрузки

Сценарий: 008.3. MovingProducts. Отчет Сравнение заказов и планов отгрузки
	
	И В командном интерфейсе я выбираю 'Заказы' 'Отчеты'
	Тогда открылось окно 'Отчеты по исполнению заказов'
	И я нажимаю на гиперссылку "Сравнение заказов и планов отгрузки"
	Тогда открылось окно 'Сравнение заказов и планов отгрузки'
	И в поле с именем 'Период1ДатаНачала' я ввожу текст '01.08.2019'
	И в поле с именем 'Период1ДатаОкончания' я ввожу текст '29.10.2020'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "Отчет сравнение заказов на перемещение и планов отгрузки" по шаблону
	И Я закрываю окно 'Сравнение заказов и планов отгрузки'
	Тогда открылось окно 'Отчеты по исполнению заказов'
	И Я закрываю окно 'Отчеты по исполнению заказов'

Сценарий: 008.4. MovingProducts. Завершение

	И Я закрыл все окна клиентского приложения